VERSION 5.00
Object = "{27395F88-0C0C-101B-A3C9-08002B2F49FB}#1.1#0"; "PICCLP32.OCX"
Object = "{EF0C3904-392B-11D3-80D9-444553540001}#7.0#0"; "HitCounter.ocx"
Begin VB.Form frmCounter 
   Caption         =   "Hit Counter"
   ClientHeight    =   3210
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5385
   LinkTopic       =   "Form1"
   Picture         =   "HitCounter.frx":0000
   ScaleHeight     =   214
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   359
   StartUpPosition =   3  'Windows Default
   Begin HitCount.HitCounter HitCounter1 
      Height          =   435
      Left            =   900
      TabIndex        =   1
      Top             =   2175
      Width           =   435
      _ExtentX        =   767
      _ExtentY        =   767
   End
   Begin PicClip.PictureClip PicClip 
      Left            =   225
      Top             =   900
      _ExtentX        =   6615
      _ExtentY        =   661
      _Version        =   327681
      Cols            =   10
      Picture         =   "HitCounter.frx":5A72
   End
   Begin VB.PictureBox pctContainer 
      AutoRedraw      =   -1  'True
      BackColor       =   &H00C0C0C0&
      Height          =   690
      Left            =   225
      ScaleHeight     =   42
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   277
      TabIndex        =   0
      Top             =   1425
      Width           =   4215
   End
   Begin VB.Image Numeral 
      Height          =   840
      Index           =   0
      Left            =   225
      Top             =   2175
      Width           =   540
   End
End
Attribute VB_Name = "frmCounter"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub LoadNumerals()
    For NumCnt = 0 To CHAR_CNT - 1
        ReDim Preserve Numerals(0 To NumCnt)
        Set Numerals(NumCnt) = PicClip.GraphicCell(NumCnt)
    Next NumCnt
End Sub

Private Sub Display()
Dim CharCnt As Integer, NumString As String
Dim i As Integer, CurNum As Integer
Dim X As Integer
    KillBoxes
    NumString = Format(OpenCnt, "000000")
    CharCnt = Len(NumString)
    X = CHAR_SPC
    For i = 1 To CharCnt
        Load Numeral(i)
        CurNum = Val(Right(Left(NumString, i), 1))
        Set Numeral(i).Container = pctContainer
        Numeral(i).Left = X
        Numeral(i).Top = CHAR_SPC
        Numeral(i).Visible = True
        Numeral(i).Picture = Numerals(CurNum)
        X = X + Numeral(i).Width - 1
    Next i
End Sub

Public Sub AddToReg()
    OpenCnt = Val(GetSetting(TITLE, App.TITLE, KEY, 0)) + 1
    SaveSetting TITLE, App.TITLE, KEY, OpenCnt
    Caption = OpenCnt
End Sub

Private Sub KillBoxes()
    For BoxCount = BoxCount To 1 Step -1
        Unload Numeral(BoxCount)
    Next BoxCount
End Sub

Private Sub Form_Click()
    HitCounter1.PerformHit
End Sub

Private Sub Form_DblClick()
    HitCounter1.ResetHits 0
End Sub

Private Sub Form_Load()
    HitCounter1.ResetHits
    AddToReg
    LoadNumerals
    Display
End Sub

Private Sub HitCounter1_Click()
    HitCounter1.PerformHit
End Sub

Private Sub HitCounter1_DblClick()
    Debug.Print "DblClick"
End Sub
